petsc-3.4.2 2013-07-02

# SectionIntRestrict

Restricts the SectionInt to a subset of the topology, returning an array of values.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode  SectionIntRestrict(SectionInt section, PetscInt point, PetscInt *values[])

Not collective

### Input Parameters

| section | - the section object
| point | - the Sieve point

### Output Parameter

values -The values associated with the submesh

### See Also

SectionIntUpdate(), SectionIntCreate(), SectionIntView()

Level:advanced
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages